/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 *  Authors: Iain Holmes <iain@prettypeople.org>
 *
 *  Copyright 2003 Iain Holmes
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of version 2 of the GNU General Public 
 *  License as published by the Free Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef __MARLIN_CROSS_FADER_H__
#define __MARLIN_CROSS_FADER_H__

#include <gtk/gtkdrawingarea.h>

#include <marlin/marlin-sample.h>

#ifdef __cplusplus
extern "C" {
#pragma }
#endif

#define MARLIN_CROSS_FADER_TYPE (marlin_cross_fader_get_type ())
#define MARLIN_CROSS_FADER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MARLIN_CROSS_FADER_TYPE, MarlinCrossFader))
#define MARLIN_CROSS_FADER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MARLIN_CROSS_FADER_TYPE, MarlinCrossFaderClass))

typedef struct _MarlinCrossFader MarlinCrossFader;
typedef struct _MarlinCrossFaderClass MarlinCrossFaderClass;
typedef struct _MarlinCrossFaderPrivate MarlinCrossFaderPrivate;

struct _MarlinCrossFader {
	GtkDrawingArea parent;

	MarlinCrossFaderPrivate *priv;
};

struct _MarlinCrossFaderClass {
	GtkDrawingAreaClass parent_class;
};

GType marlin_cross_fader_get_type (void);

#ifdef __cplusplus
}
#endif

#endif
