/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 *  Authors: Iain Holmes <iain@prettypeople.org>
 *
 *  Copyright 2002 Iain Holmes
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of version 2 of the GNU General Public 
 *  License as published by the Free Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef __MARLIN_TYPES_H__
#define __MARLIN_TYPES_H__

typedef struct _MarlinSample MarlinSample;
typedef struct _MarlinChannel MarlinChannel;
typedef struct _MarlinBlock MarlinBlock;

typedef struct _MarlinPeak {
	short low;
	short high;
	short avg_positive;
	short avg_negative;
} MarlinPeak;

typedef enum _MarlinChannelPosition {
	MARLIN_CHANNEL_LEFT,
	MARLIN_CHANNEL_RIGHT,
} MarlinChannelPosition;

typedef enum _MarlinDisplay {
	MARLIN_DISPLAY_FRAMES,
	MARLIN_DISPLAY_TIME_LONG,
	MARLIN_DISPLAY_SECONDS,
	MARLIN_DISPLAY_TIME_FRAMES,
	MARLIN_DISPLAY_NULL
} MarlinDisplay;

typedef enum _MarlinScale {
	MARLIN_SCALE_LINEAR,
	MARLIN_SCALE_LOG,
} MarlinScale;

typedef float (* MarlinFadeFunc) (guint64 position, 
				  gpointer closure);

typedef enum {
	MARLIN_COVERAGE_BOTH,
	MARLIN_COVERAGE_LEFT,
	MARLIN_COVERAGE_RIGHT,
	MARLIN_COVERAGE_NONE,
} MarlinCoverage;

/* A lot of the functions take ranges
   Using this as a type to hold a range might be useful
   FIXME? */
typedef struct _MarlinRange {
	guint64 start;
	guint64 finish;
	MarlinCoverage coverage;
} MarlinRange;

#define MARLIN_TYPE_DISPLAY (marlin_display_get_type ())
#define MARLIN_TYPE_SCALE (marlin_scale_get_type ())

#endif
